
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Contact Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Contact</h1><h2>Description</h2>
<p>This interface provides access to one PIM contact.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Contact</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetContent">GetContent</a></li>
<li><a href="#GetMultipleFields">GetMultipleFields</a></li>
<li><a href="#GetUsedBackends">GetUsedBackends</a></li>
<li><a href="#Update">Update</a></li>
<li><a href="#Delete">Delete</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#ContactDeleted">ContactDeleted</a></li>
<li><a href="#ContactUpdated">ContactUpdated</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetContent">GetContent</a> ( ) &rarr; a{sv}</h3>
<p><i>Description:</i> Get the fields of one contact. </p><h4>Returns</h4><i>a{sv}: contact_data</i><p>The contact's data. </p>
<h3><a name="GetMultipleFields">GetMultipleFields</a> ( s ) &rarr; a{sv}</h3>
<p><i>Description:</i> Get a specified field list of the contact's data. </p><h4>Parameters</h4><i>s: field_list</i><p>The list of fields to get, split by "," (coma) char. </p><h4>Returns</h4><i>a{sv}: field_data</i><p>The data of the requested fields. </p>
<h3><a name="GetUsedBackends">GetUsedBackends</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Get used backends in contact. </p><h4>Returns</h4><i>as: backends</i><p>The list of backends used in this contact. </p>
<h3><a name="Update">Update</a> ( a{sv} )</h3>
<p><i>Description:</i> Update one or more fields of this contact. </p><h4>Parameters</h4><i>a{sv}: contact_data</i><p>The list of fields/values to update for this contact. </p>
<h3><a name="Delete">Delete</a> ( )</h3><p><i>Description:</i> Delete this contact. </p>
<h1>Signals</h1><h3><a name="ContactDeleted">ContactDeleted</a> ( )</h3>
<h3><h3><a name="ContactUpdated">ContactUpdated</a> ( a{sv} )</h3><p><i>Description:</i> Sent when contact is updated. </p><h4>Parameters</h4><i>a{sv}: data</i><p>Data used to update contact. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

